Summary: A utility for determining file types.
Name: file
Version: 4.12
Release: 3tr
License: distributable
Group: Trustix Official
Source: ftp://ftp.astron.com/pub/file/file-%{version}.tar.gz
Patch0: file-CVE-2007-1536.patch
Patch1: file-CVE-2007-2799.patch
Requires: zlib
BuildRequires: zlib-devel
Buildroot: /var/tmp/%{name}-root

%description
The file command is used to identify a particular file according to the
type of data contained by the file.  File can identify many different
file types, including ELF binaries, system libraries, RPM packages, and
different graphics formats.

You should install the file package, since the file command is such a
useful utility.

%package devel
Summary: Development libraries for interface to the file(1) command
Group: Trustix Official

%description devel
This package contains the development libraries for interface to the
file(1) command.


%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure --enable-fsect-man5
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/bin
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man{1,3,5}

make DESTDIR=$RPM_BUILD_ROOT install

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc LEGAL.NOTICE README
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_prefix}/bin/file
%{_prefix}/lib/*.so.*
%{_prefix}/share/file

%files devel
%defattr(-,root,root,0755)
%{_mandir}/man3/*
%{_prefix}/include/magic.h
%{_prefix}/lib/*.a
%{_prefix}/lib/*.la
%{_prefix}/lib/*.so

%changelog
* Wed Aug 08 2007 Nived Gopalan <nived at trustix dot org> 4.12-3tr
- SECURITY Fix: Fixes integer overflow in the "file" program, that
  might allow user-assisted attackers to execute arbitrary code via
  a large file that triggers an overflow that bypasses an assert()
  statement. This issue is due to an incorrect patch for CVE-2007-1536.

  The Common Vulnerabilities and Exposures project (cve.mitre.org)
  has assigned the name CVE-2007-2799 to this issue.

* Tue Apr 03 2007 Nived Gopalan <nived at trustix dot org> 4.12-2tr
- SECURITY Fix: A vulnerability has been reported in file, caused due
  to an unspecified integer underflow within the "file_printf" function.
  This can be exploited to cause a heap-based buffer overflow.

  The Common Vulnerabilities and Exposures project (cve.mitre.org)
  has assigned the name CVE-2007-1536 to this issue.

* Fri Nov 25 2004 Erlend Midttun <erlendbm at trustix dot org> 4.12-1tr
- New upstream.

* Wed Sep 22 2004 Syed Shabir <syedshabir at comodo.com> 4.09-1tr
- New upstream.

* Sat Feb  7 2004 Omar Kilani <ok at trustix dot org> 4.07-1ok
- New upstream.

* Fri Dec  5 2003 Erlend Midttun <erlendbm at trustix dot org> 4.06-1tr
- New upstream.
- New devel package.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 3.41-4tr
- Big rebuild

* Thu Jun  5 2003 Erlend Midttun <erlendbm at trustix dot com> 3.41-3em
- Now own just the man pages, and not the directories.

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 3.41-2em
- Rebuilt against glibc 2.3.2.

* Wed Mar 19 2003 Erlend Midttun <erlendbm at trustix dot com> 3.41-1em
- Upgrade to 3.41 to fix sec hole.

* Tue Aug  6 2002 Christian H. Toldnes <christht at trustix dot com> 3.37-1ct
- Cleanup for tsl 2.0
- Added LFS
- Update to 3.37

* Wed Jun 13 2001 Oystein Viggen <oysteivi at trustix dot com>
- Include extra magic files in /usr/share

* Fri Jun  1 2001 Oystein Viggen <oysteivi at trustix dot com>
- New upstream version: 3.35

* Mon Mar  5 2001 Alexander Reelsen <ar at trustix dot com>
- Picked up 3.33

* Fri Sep 15 2000 Oystein Viggen <oysteivi at trustix dot com>
- Upgraded to version 3.32
- removed some stale patches

* Wed Feb  2 2000 Erlend Midttun <erlendbm at trustix dot com>
- Moved man pages

* Mon Aug 23 1999 Jeff Johnson <jbj@redhat.com>
- identify ELF stripped files correctly (#4665).
- use SPARC (not sparc) consistently throughout (#4665).
- add entries for MS Office files (#4665).

* Thu Aug 12 1999 Jeff Johnson <jbj@redhat.com>
- diddle magic so that *.tfm files are identified correctly.

* Tue Jul  6 1999 Jeff Johnson <jbj@redhat.com>
- update to 3.27.

* Mon Mar 22 1999 Preston Brown <pbrown@redhat.com>
- experimental support for realmedia files added

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Fri Mar 19 1999 Jeff Johnson <jbj@redhat.com>
- strip binary.

* Fri Nov 27 1998 Jakub Jelinek <jj@ultra.linux.cz>
- add SPARC V9 magic.

* Tue Nov 10 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.26.

* Mon Aug 24 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.25.
- detect gimp XCF versions.

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Erik Troan <ewt@redhat.com>
- updated to 3.24
- buildrooted

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Mon Mar 31 1997 Erik Troan <ewt@redhat.com>
- Fixed problems caused by 64 bit time_t.

* Thu Mar 06 1997 Michael K. Johnson <johnsonm@redhat.com>
- Improved recognition of Linux kernel images.
